## ros-indigo-carl-dynamixel 0.0.34

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(carl_dynamixel)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS roscpp dynamixel_msgs sensor_msgs tf)

#######################################
## Declare ROS messages and services ##
#######################################

## Generate services in the 'srv' folder
add_service_files(
  FILES
  LookAtFrame.srv
  LookAtPoint.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  geometry_msgs
)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(include
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(back_joints_node src/back_joint_node.cpp)
add_executable(servo_pan_tilt src/servo_pan_tilt.cpp)
add_executable(front_joints_node src/front_joint_node.cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(back_joints_node
  ${catkin_LIBRARIES}
)
target_link_libraries(servo_pan_tilt
  ${catkin_LIBRARIES}
)

target_link_libraries(front_joints_node
  ${catkin_LIBRARIES}
)

add_dependencies(servo_pan_tilt ${PROJECT_NAME}_generate_messages_cpp)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS back_joints_node front_joints_node servo_pan_tilt
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Copy header files
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hpp" PATTERN "*.h"
)

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

## Copy configuration files
install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

=== debian/changelog ===
ros-indigo-carl-dynamixel (0.0.34-0trusty) trusty; urgency=high

  * Update package.xml
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Tue, 23 Feb 2016 05:00:00 -0000

ros-indigo-carl-dynamixel (0.0.33-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 10 Aug 2015 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.32-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 08 May 2015 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.31-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 07 May 2015 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.30-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 04 May 2015 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.29-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Apr 2015 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.28-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 27 Apr 2015 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.27-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 22 Apr 2015 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.26-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 17 Apr 2015 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.25-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 10 Apr 2015 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.24-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 06 Apr 2015 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.23-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.22-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 03 Apr 2015 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.21-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.20-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.19-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.18-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 27 Mar 2015 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.17-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Mar 2015 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.16-0trusty) trusty; urgency=high

  * Fixed a timestamp problem for tf lookups
  * Documentation
  * Asus servo commands to look at point or look at frame
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Tue, 17 Feb 2015 05:00:00 -0000

ros-indigo-carl-dynamixel (0.0.15-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 10 Feb 2015 05:00:00 -0000

ros-indigo-carl-dynamixel (0.0.14-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 06 Feb 2015 05:00:00 -0000

ros-indigo-carl-dynamixel (0.0.13-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 21 Jan 2015 05:00:00 -0000

ros-indigo-carl-dynamixel (0.0.12-0trusty) trusty; urgency=high

  * cleanup of cmake
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Mon, 19 Jan 2015 05:00:00 -0000

ros-indigo-carl-dynamixel (0.0.11-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 18 Dec 2014 05:00:00 -0000

ros-indigo-carl-dynamixel (0.0.10-0trusty) trusty; urgency=high

  * deleted everything
  * Contributors: Peter

 -- Russell Toris <rctoris@wpi.edu>  Tue, 02 Dec 2014 05:00:00 -0000

ros-indigo-carl-dynamixel (0.0.9-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 22 Oct 2014 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.8-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 03 Oct 2014 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.7-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 22 Sep 2014 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.6-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 19 Sep 2014 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.5-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 10 Sep 2014 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.4-0trusty) trusty; urgency=high

  * fixed typo in front servos
  * updated links for servos
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 02 Sep 2014 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.3-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 25 Aug 2014 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.2-0trusty) trusty; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 18 Aug 2014 04:00:00 -0000

ros-indigo-carl-dynamixel (0.0.1-0trusty) trusty; urgency=high

  * revert changelogs
  * changelog updated
  * updated the joint names
  * added servo_pan_tilt to carl_dynamixel launch file
  * added front_joints_node to install
  * fixed creative range
  * fixed the launch file
  * velocity commands and teleop controls for the second camera
  * Switched to front
  * Merged my changes
  * adjustments to asus joint servo speed
  * Servo velocity control and teleop initial commit
  * output mapped to screen
  * removed dumb output
  * removed dumb output
  * changed launch file to look for config scripts
  * carl_dynamixel package cleanup
  * updated run dependencies needed for launch files
  * updated launch files
  * added dependency in carl_dynamixel for dynamixel_msgs to be generated first
  * corrected the link name
  * fixed error
  * fixed minor changes
  * updated the joint publisher to publish radians for the servo angle
  * removed a launch file in carl_dynamixel
  * updated carl_dynamixel to publish joint states and added a yaml to define the joints


=== debian/control ===
Source: ros-indigo-carl-dynamixel
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dynamixel-msgs, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf
Homepage: http://ros.org/wiki/carl_bot
Standards-Version: 3.9.2

Package: ros-indigo-carl-dynamixel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-dynamixel-controllers, ros-indigo-dynamixel-msgs, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf
Description: Configuration for CARLS's Head Dynamixel Servo

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-carl-dynamixel//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
